<mixer>
	<!-- default switch control values -->
	<ctl name="S1_IF_I2S_FS" value="0" />
	<ctl name="S1_FUNC_MODE" value="0" />
	<ctl name="S1_FRAME_MODE" value="0" />
	<ctl name="S1_RX_CLK_SEL" value="0" />
	<ctl name="S1_TX_CLK_SEL" value="1" />
	<ctl name="S2_IF_I2S_FS" value="0" />
	<ctl name="S2_FUNC_MODE" value="0" />
	<ctl name="S2_DIRECT_MODE" value="0" />
	<ctl name="S2_FRAME_MODE" value="0" />
	<ctl name="S2_RX_CLK_SEL" value="0" />
	<ctl name="S2_TX_CLK_SEL" value="1" />
	<ctl name="S2_FS_TDM" value="2" />
	<ctl name="S2_TDM_FRAME_MODE" value="0" />
	<ctl name="S4_IF_I2S_FS" value="4" />
	<ctl name="S4_FUNC_MODE" value="0" />
	<ctl name="S4_DIRECT_MODE" value="0" />
	<ctl name="S4_FRAME_MODE" value="0" />
	<ctl name="S4_RX_CLK_SEL" value="0" />
	<ctl name="S4_TX_CLK_SEL" value="1" />
	<ctl name="S4_TDM_IF_EN" value="0" />
	<ctl name="S4_FS_TDM" value="2" />
	<ctl name="S4_TDM_FRAME_MODE" value="0" />
	<ctl name="S1_IL_SRC_EN" value="0" />
	<ctl name="S1_IR_SRC_EN" value="0" />
	<ctl name="S1_MIC1_SRC_EN" value="0" />
	<ctl name="S1_MIC2_SRC_EN" value="0" />
	<ctl name="S1_MIC1_SRC_MODE" value="0" />
	<ctl name="S1_MIC2_SRC_MODE" value="0" />
	<ctl name="S1_MIC1_SRC_FS" value="0" />
	<ctl name="S1_MIC2_SRC_FS" value="0" />
	<ctl name="S2_IL_SRC_MODE" value="0" />
	<ctl name="S2_IR_SRC_MODE" value="0" />
	<ctl name="S2_I_SRC_IN_FS" value="0" />
	<ctl name="S2_IL_SRC_OUT_FS" value="0" />
	<ctl name="S2_IR_SRC_OUT_FS" value="0" />
	<ctl name="S2_OL_SRC_MODE" value="0" />
	<ctl name="S2_OR_SRC_MODE" value="0" />
	<ctl name="S2_O_SRC_OUT_FS" value="0" />
	<ctl name="S2_OL_SRC_IN_FS" value="0" />
	<ctl name="S2_OR_SRC_IN_FS" value="0" />
	<ctl name="S3_IL_SRC_MODE" value="0" />
	<ctl name="S3_IR_SRC_MODE" value="0" />
	<ctl name="S3_I_SRC_IN_FS" value="0" />
	<ctl name="S3_IL_SRC_OUT_FS" value="0" />
	<ctl name="S3_IR_SRC_OUT_FS" value="0" />
	<ctl name="S3_OL_SRC_MODE" value="0" />
	<ctl name="S3_OR_SRC_MODE" value="0" />
	<ctl name="S3_O_SRC_OUT_FS" value="0" />
	<ctl name="S3_OL_SRC_IN_FS" value="0" />
	<ctl name="S3_OR_SRC_IN_FS" value="0" />
	<ctl name="SPA_OL_SRC_MODE" value="0" />
	<ctl name="SPA_OR_SRC_MODE" value="0" />
	<ctl name="SPA_OL_SRC_IN_FS" value="0" />
	<ctl name="SPA_OR_SRC_IN_FS" value="0" />
	<ctl name="SPA_OL_SRC_OUT_FS" value="0" />
	<ctl name="SPA_OR_SRC_OUT_FS" value="0" />
	<ctl name="S1_IL_PGA_GAIN" value="0" />
	<ctl name="S1_IR_PGA_GAIN" value="0" />
	<ctl name="S2_IL_PGA_GAIN" value="0" />
	<ctl name="S2_IR_PGA_GAIN" value="0" />
	<ctl name="S3_IL_PGA_GAIN" value="0" />
	<ctl name="S3_IR_PGA_GAIN" value="0" />
	<ctl name="S2_OL_PGA_GAIN" value="0" />
	<ctl name="S2_OR_PGA_GAIN" value="0" />
	<ctl name="HSMIC_ADC_BOOST" value="0" />
	<ctl name="AUXMIC_ADC_BOOST" value="0" />
	<ctl name="MIC3_ADC_BOOST" value="0" />
	<ctl name="MIC4_ADC_BOOST" value="0" />
	<ctl name="MIC5_ADC_BOOST" value="0" />
	<ctl name="MAD_ADC_BOOST" value="0" />
	<ctl name="S1_IL_PGA_BYPASS" value="1" />
	<ctl name="S1_IR_PGA_BYPASS" value="1" />
	<ctl name="S2_IL_PGA_BYPASS" value="0" />
	<ctl name="S2_IR_PGA_BYPASS" value="0" />
	<ctl name="S2_OL_PGA_BYPASS" value="0" />
	<ctl name="S2_OR_PGA_BYPASS" value="0" />
	<ctl name="S3_IL_PGA_BYPASS" value="0" />
	<ctl name="S3_IR_PGA_BYPASS" value="0" />
	<ctl name="HSMIC_PGA_GAIN" value="0" />
	<ctl name="AUXMIC_PGA_GAIN" value="0" />
	<ctl name="MIC3_PGA_GAIN" value="0" />
	<ctl name="MIC4_PGA_GAIN" value="0" />
	<ctl name="MIC5_PGA_GAIN" value="4" />
	<ctl name="MAD_PGA_GAIN" value="11" />
	<ctl name="EP_GAIN" value="4" />
	<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
	<ctl name="DACL_MIXER_S2L_GAIN" value="3" />
	<ctl name="DACL_MIXER_S3L_GAIN" value="3" />
	<ctl name="DACL_MIXER_S1R_GAIN" value="3" />
	<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
	<ctl name="DACR_MIXER_S2R_GAIN" value="3" />
	<ctl name="DACR_MIXER_MDM_GAIN" value="3" />
	<ctl name="DACR_MIXER_S1L_GAIN" value="3" />
	<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
	<ctl name="DACL_PRE_MIXER_SIDETONE_GAIN" value="3" />
	<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
	<ctl name="DACR_PRE_MIXER_SIDETONE_GAIN" value="3" />
	<ctl name="DACL_POST_MIXER_DAC_GAIN" value="3" />
	<ctl name="DACL_POST_MIXER_S1L_GAIN" value="3" />
	<ctl name="DACR_POST_MIXER_DAC_GAIN" value="3" />
	<ctl name="DACR_POST_MIXER_S1R_GAIN" value="3" />
	<ctl name="DACSL_MIXER_UTW_GAIN" value="3" />
	<ctl name="DACSL_MIXER_PGA_GAIN" value="3" />
	<ctl name="DACSL_MIXER_MDM_GAIN" value="3" />
	<ctl name="DACSL_MIXER_SIDETONE_GAIN" value="3" />
	<!-- default switch control values -->
	<ctl name="PLAY44K1_SWITCH ENABLE" value="0" />
	<ctl name="PLAY48K_SWITCH ENABLE" value="0" />
	<ctl name="PLAY96K_SWITCH ENABLE" value="0" />
	<ctl name="PLAY192K_SWITCH ENABLE" value="0" />
	<ctl name="PLAY384K_SWITCH ENABLE" value="0" />
	<ctl name="PLAY88K2_SWITCH ENABLE" value="0" />
	<ctl name="PLAY176K4_SWITCH ENABLE" value="0" />
	<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="0" />
	<ctl name="SOUNDTRIGGER_ONEMIC_SWITCH ENABLE" value="0" />
	<ctl name="SOUNDTRIGGER_DUALMIC_SWITCH ENABLE" value="0" />
	<ctl name="PLL48K_TEST_SWITCH ENABLE" value="0" />
	<ctl name="PLL44K1_TEST_SWITCH ENABLE" value="0" />
	<ctl name="PLLMAD_TEST_SWITCH ENABLE" value="0" />
	<ctl name="S2_OL_SWITCH ENABLE" value="0" />
	<ctl name="S2_OR_SWITCH ENABLE" value="0" />
	<ctl name="S4_OL_SWITCH ENABLE" value="0" />
	<ctl name="S4_OR_SWITCH ENABLE" value="0" />
	<ctl name="PLAY384K_VIR_SWITCH ENABLE" value="0" />
	<ctl name="IV_DSPIF_SWITCH ENABLE" value="0" />
	<ctl name="U7_EC_SWITCH ENABLE" value="0" />
	<ctl name="IV_2PA_SWITCH ENABLE" value="0" />
	<ctl name="IV_4PA_SWITCH ENABLE" value="0" />
	<ctl name="IR_EMISSION_SWITCH ENABLE" value="0" />
	<ctl name="I2S2_BLUETOOTH_LOOP_SWITCH ENABLE" value="0" />
	<!-- default mixer control values -->
	<ctl name="DSDL_MIXER PGA" value="0" />
	<ctl name="DSDL_MIXER DACL_384K" value="0" />
	<ctl name="DSDR_MIXER PGA" value="0" />
	<ctl name="DSDR_MIXER DACR_384K" value="0" />
	<ctl name="DACL_MIXER S1_L" value="0" />
	<ctl name="DACL_MIXER S2_L" value="0" />
	<ctl name="DACL_MIXER S3_L" value="0" />
	<ctl name="DACL_MIXER S1_R" value="0" />
	<ctl name="DACR_MIXER S1_R" value="0" />
	<ctl name="DACR_MIXER S2_R" value="0" />
	<ctl name="DACR_MIXER MDM" value="0" />
	<ctl name="DACR_MIXER S1_L" value="0" />
	<ctl name="DACL_PRE_MIXER MUX9" value="0" />
	<ctl name="DACL_PRE_MIXER SIDETONE" value="0" />
	<ctl name="DACR_PRE_MIXER MUX10" value="0" />
	<ctl name="DACR_PRE_MIXER SIDETONE" value="0" />
	<ctl name="DACL_POST_MIXER DACLSRC" value="0" />
	<ctl name="DACL_POST_MIXER S1_L" value="0" />
	<ctl name="DACR_POST_MIXER DACRSRC" value="0" />
	<ctl name="DACR_POST_MIXER S1_R" value="0" />
	<ctl name="DACSL_MIXER UTW" value="0" />
	<ctl name="DACSL_MIXER DACSL_PGA" value="0" />
	<ctl name="DACSL_MIXER MDM" value="0" />
	<ctl name="DACSL_MIXER SIDETONE" value="0" />
	<ctl name="DACSR_MIXER UTW" value="0" />
	<ctl name="DACSR_MIXER DACSR_PGA" value="0" />
	<ctl name="DACSR_MIXER MDM" value="0" />
	<ctl name="DACSR_MIXER SIDETONE" value="0" />
	<!-- default mux control values -->
	<ctl name="S1_IL_MUX" value="S1_INL" />
	<ctl name="S1_IR_MUX" value="S1_INR" />
	<ctl name="S2_IL_MUX" value="S2_INL" />
	<ctl name="S2_IR_MUX" value="S2_INR" />
	<ctl name="DACL_PRE_MUX" value="DSP_IF8_OL" />
	<ctl name="DACR_PRE_MUX" value="DSP_IF8_OR" />
	<ctl name="DACL_PGA_MUX" value="DACL_384K" />
	<ctl name="DACR_PGA_MUX" value="DACR_384K" />
	<ctl name="HP_L_SDM_MUX" value="DACL_UP16" />
	<ctl name="HP_R_SDM_MUX" value="DACR_UP16" />
	<ctl name="EP_L_SDM_MUX" value="DACSL_UP16" />
	<ctl name="DACSL_PGA_MUX" value="DACSL_384K" />
	<ctl name="HP_DAC_L_MUX" value="HP_L_SDM" />
	<ctl name="HP_DAC_R_MUX" value="HP_R_SDM" />
	<ctl name="EP_DAC_MUX" value="EP_L_SDM" />
	<ctl name="IR_MUX" value="DSPIF8" />
	<ctl name="MDM_MUX" value="S3_L" />
	<ctl name="S1_OL_SWITCH ENABLE" value="0" />
	<ctl name="S1_OR_SWITCH ENABLE" value="0" />
	<ctl name="S3_OL_SWITCH ENABLE" value="0" />
	<ctl name="S3_OR_SWITCH ENABLE" value="0" />
	<ctl name="U3_OL_SWITCH ENABLE" value="0" />
	<ctl name="U4_OR_SWITCH ENABLE" value="0" />
	<ctl name="U5_OL_SWITCH ENABLE" value="0" />
	<ctl name="US_R1_SWITCH ENABLE" value="0" />
	<ctl name="US_R2_SWITCH ENABLE" value="0" />
	<ctl name="IR_STUDY_ENV_SWITCH ENABLE" value="0" />
	<ctl name="VOICE8K_SWITCH ENABLE" value="0" />
	<ctl name="VOICE16K_SWITCH ENABLE" value="0" />
	<ctl name="VOICE32K_SWITCH ENABLE" value="0" />
	<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="0" />
	<ctl name="AUDIOUP_4MIC_SWITCH ENABLE" value="0" />
	<ctl name="AUDIOUP_5MIC_SWITCH ENABLE" value="0" />
	<ctl name="AUXMIC_HSMICBIAS_SWITCH ENABLE" value="0" />
	<ctl name="AUXMIC_MICBIAS2_SWITCH ENABLE" value="0" />
	<ctl name="MAD_SWITCH ENABLE" value="0" />
	<ctl name="MAD_PGA_MIXER MIC5_ENABLE" value="0" />
	<ctl name="MAD_PGA_MIXER MIC4_ENABLE" value="0" />
	<ctl name="MAD_PGA_MIXER MIC3_ENABLE" value="0" />
	<ctl name="MAD_PGA_MIXER AUXMIC_ENABLE" value="0" />
	<ctl name="MAD_PGA_MIXER MAINMIC_ENABLE" value="0" />
	<ctl name="MAD_PGA_MIXER HSMIC_ENABLE" value="0" />
	<!-- default mux control values -->
	<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
	<ctl name="AUXMIC_PGA_MUX" value="AUXMIC" />
	<ctl name="MIC3_PGA_MUX" value="MIC3" />
	<ctl name="MIC4_PGA_MUX" value="MIC4" />
	<ctl name="MIC5_PGA_MUX" value="MIC5" />
	<ctl name="MIC5_MUX" value="ADCL2" />
	<ctl name="MIC4_MUX" value="ADCR1" />
	<ctl name="MIC3_MUX" value="ADCL1" />
	<ctl name="MIC2_MUX" value="ADCR0" />
	<ctl name="MIC1_MUX" value="ADCL0" />
	<ctl name="ADCL2_MUX" value="ADC0" />
	<ctl name="ADCR1_MUX" value="ADC3" />
	<ctl name="ADCL1_MUX" value="ADC2" />
	<ctl name="ADCR0_MUX" value="ADC1" />
	<ctl name="ADCL0_MUX" value="ADC0" />
	<ctl name="M1_L_MUX" value="ADCL0" />
	<ctl name="BT_L_MUX" value="ADCL0" />
	<ctl name="BT_R_MUX" value="ADCR0" />
	<ctl name="US_R1_MUX" value="ADCL0" />
	<ctl name="US_R2_MUX" value="ADCL0" />
	<ctl name="M1_R_MUX" value="ADCR0" />
	<ctl name="SIDETONE_MUX" value="ADCL0" />
	<ctl name="SIDETONE_SRC_CLK_EN" value="0" />
	<ctl name="SIDETONE_PGA_CLK_EN" value="0" />
	<ctl name="FM_SWITCH ENABLE" value="0" />
	<ctl name="DACL_PRE_PGA_BYPASS" value="1" />
	<ctl name="DACR_PRE_PGA_BYPASS" value="1" />
	<ctl name="DACL_POST_PGA_BYPASS" value="1" />
	<ctl name="DACR_POST_PGA_BYPASS" value="1" />
	<ctl name="VIRTUAL_BTN_ACTIVE_SWITCH ENABLE" value="0" />
	<ctl name="VIRTUAL_BTN_PASSIVE_SWITCH ENABLE" value="0" />
	<ctl name="HP_CONCURRENCY_SWITCH ENABLE" value="0" />
	<ctl name="PLAY44K1_GAIN_SWITCH ENABLE" value="0" />

	<path name="virtual_btn" >
		<ctl name="VIRTUAL_BTN_PASSIVE_SWITCH ENABLE" value="1" />
		<ctl name="ADCL2_MUX" value="ADC4" />
		<ctl name="MIC5_PGA_MUX" value="MIC5" />
	</path>

	<path name="select-audio-down" >
		<ctl name="S1_IL_MUX" value="D1" />
		<ctl name="S1_IR_MUX" value="D2" />
	</path>
	<path name="select-bt-down" >
		<ctl name="S1_IL_MUX" value="D1" />
		<ctl name="S1_IR_MUX" value="D2" />
	</path>
	<path name="audio-no-mixer" >
		<ctl name="DACL_MIXER S1_L" value="1" />
		<ctl name="DACR_MIXER S1_R" value="1" />
		<ctl name="DACL_PRE_MUX" value="DACL_MIXER" />
		<ctl name="DACR_PRE_MUX" value="DACR_MIXER" />
	</path>
	<!-- for earpiece throught pa,just used by tty -->
	<path name="audio-mixer" >
		<ctl name="DACL_MIXER S1_L" value="1" />
		<ctl name="DACL_MIXER S1_R" value="1" />
		<ctl name="DACR_MIXER S1_L" value="1" />
		<ctl name="DACR_MIXER S1_R" value="1" />
		<ctl name="DACL_PRE_MUX" value="DACL_MIXER" />
		<ctl name="DACR_PRE_MUX" value="DACR_MIXER" />
		<ctl name="DACL_PRE_MIXER MUX9" value="1" />
		<ctl name="DACR_PRE_MIXER MUX10" value="1" />
	</path>
	<path name="audio-pre-path" >
		<path name="audio-no-mixer" />
		<ctl name="DACL_PRE_MIXER MUX9" value="1" />
		<ctl name="DACR_PRE_MIXER MUX10" value="1" />
	</path>
	<path name="audio-pre-concurrency-path" >
		<ctl name="S2_IL_MUX" value="D3" />
		<ctl name="S2_IR_MUX" value="D4" />
		<ctl name="DACL_MIXER S2_L" value="1" />
		<ctl name="DACR_MIXER S2_R" value="1" />
		<ctl name="DACL_PRE_MIXER MUX9" value="1" />
		<ctl name="DACR_PRE_MIXER MUX10" value="1" />
		<ctl name="DACL_PRE_MUX" value="DACL_MIXER" />
		<ctl name="DACR_PRE_MUX" value="DACR_MIXER" />
	</path>
	<path name="audio-post-path" >
		<ctl name="DACL_POST_MIXER DACLSRC" value="1" />
		<ctl name="DACR_POST_MIXER DACRSRC" value="1" />
		<ctl name="DACL_PGA_MUX" value="DACL_384K" />
		<ctl name="DACR_PGA_MUX" value="DACR_384K" />
	</path>
	<path name="audio-48k-path" >
		<path name="audio-pre-path" />
		<path name="audio-post-path" />
	</path>
	<path name="audio-48k-concurrency-path" >
		<path name="audio-pre-concurrency-path" />
		<path name="audio-post-path" />
	</path>
	<path name="audio-96k-path" >
		<path name="audio-48k-path" />
	</path>
	<path name="audio-192k-path" >
		<ctl name="DACL_POST_MIXER S1_L" value="1" />
		<ctl name="DACR_POST_MIXER S1_R" value="1" />
		<ctl name="DACL_PGA_MUX" value="DACL_384K" />
		<ctl name="DACR_PGA_MUX" value="DACR_384K" />
	</path>
	<path name="audio-384k-path" >
		<ctl name="PLAY384K_VIR_SWITCH ENABLE" value="1" />
		<ctl name="DACL_PGA_MUX" value="S1_L" />
		<ctl name="DACR_PGA_MUX" value="S1_R" />
	</path>
	<path name="2pa-up-path" >
		<ctl name="M1_L_MUX" value="DACL_48" />
		<ctl name="M1_R_MUX" value="DACR_48" />
		<ctl name="S4_OL_SWITCH ENABLE" value="1" />
		<ctl name="S4_OR_SWITCH ENABLE" value="1" />
		<ctl name="IV_2PA_SWITCH ENABLE" value="1" />
	</path>
	<path name="2pa-up-concurrency-path" >
		<ctl name="M1_L_MUX" value="S1_L" />
		<ctl name="M1_R_MUX" value="S1_R" />
		<ctl name="S4_OL_SWITCH ENABLE" value="1" />
		<ctl name="S4_OR_SWITCH ENABLE" value="1" />
		<ctl name="IV_2PA_SWITCH ENABLE" value="1" />
	</path>
	<path name="select-headset" >
		<ctl name="DACL_PRE_PGA_BYPASS" value="1" />
		<ctl name="DACR_PRE_PGA_BYPASS" value="1" />
		<ctl name="DACL_POST_PGA_BYPASS" value="1" />
		<ctl name="DACR_POST_PGA_BYPASS" value="1" />
		<ctl name="HP_L_SDM_MUX" value="DACL_UP16" />
		<ctl name="HP_R_SDM_MUX" value="DACR_UP16" />
		<ctl name="HP_DAC_L_MUX" value="HP_L_SDM" />
		<ctl name="HP_DAC_R_MUX" value="HP_R_SDM" />
	</path>

	<path name="select-headset-pre-bybass" >
		<ctl name="DACL_PRE_PGA_BYPASS" value="0" />
		<ctl name="DACR_PRE_PGA_BYPASS" value="0" />
		<ctl name="DACL_POST_PGA_BYPASS" value="1" />
		<ctl name="DACR_POST_PGA_BYPASS" value="1" />
		<ctl name="HP_L_SDM_MUX" value="DACL_UP16" />
		<ctl name="HP_R_SDM_MUX" value="DACR_UP16" />
		<ctl name="HP_DAC_L_MUX" value="HP_L_SDM" />
		<ctl name="HP_DAC_R_MUX" value="HP_R_SDM" />
	</path>

	<path name="select-earpiece" >
		<ctl name="DACSL_MIXER DACSL_PGA" value="1" />
		<ctl name="EP_L_SDM_MUX" value="DACSL_UP16" />
		<ctl name="EP_DAC_MUX" value="EP_L_SDM" />
	</path>

	<path name="audio-play" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-pre-path" />
	</path>
	<path name="audio-48k-play" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-48k-path" />
	</path>
	<path name="audio-48k-concurrency-play" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-48k-concurrency-path" />
	</path>
	<path name="audio-96k-play" >
		<ctl name="PLAY96K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-96k-path" />
	</path>
	<path name="audio-192k-play" >
		<ctl name="PLAY192K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-192k-path" />
	</path>
	<path name="audio-384k-play" >
		<ctl name="PLAY384K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-384k-path" />
	</path>

	<path name="audio-44k1-play" >
		<ctl name="PLAY44K1_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-48k-path" />
	</path>

	<path name="audio-88k2-play" >
		<ctl name="PLAY88K2_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-96k-path" />
	</path>

	<path name="audio-176k4-play" >
		<ctl name="PLAY176K4_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-192k-path" />
	</path>

	<path name="audio-48k-play-mixer" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<path name="select-audio-down" />
		<path name="audio-mixer" />
	</path>
	<path name="audio-2pa-play" >
		<path name="audio-play" />
		<path name="2pa-up-path" />
	</path>
	<path name="force-speaker" >
		<path name="2pa-up-path" />
	</path>

	<path name="force-speaker-headset" >
		<ctl name="DACL_PRE_MUX" value="DACL_MIXER" />
		<ctl name="DACR_PRE_MUX" value="DACR_MIXER" />
		<ctl name="DACL_PRE_MIXER MUX9" value="1" />
		<ctl name="DACR_PRE_MIXER MUX10" value="1" />
		<path name="audio-post-path" />
		<path name="2pa-up-path" />
		<path name="select-headset" />
	</path>

	<!-- hal path -->
	<path name="media-earpiece" >
		<path name="audio-2pa-play" />
	</path>
	<path name="media-speaker" >
		<path name="audio-2pa-play" />
	</path>
	<path name="media-speaker-earpiece" >
		<path name="audio-2pa-play" />
	</path>

	<path name="media-carkit" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<ctl name="DACL_PRE_MUX" value="DACL_MIXER" />
		<ctl name="DACR_PRE_MUX" value="DACR_MIXER" />
		<path name="select-earpiece" />
	</path>

	<path name="media-headset" >
		<path name="audio-48k-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-44k1-headset" >
		<path name="audio-44k1-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
		<ctl name="PLAY44K1_GAIN_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-88k2-headset" >
		<path name="audio-88k2-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
		<ctl name="PLAY44K1_GAIN_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-176k4-headset" >
		<path name="audio-176k4-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
		<ctl name="PLAY44K1_GAIN_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-96k-headset" >
		<path name="audio-96k-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-192k-headset" >
		<path name="audio-192k-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-384k-headset" >
		<path name="audio-384k-play" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-speaker-headset" >
		<ctl name="S2_IL_SRC_MODE" value="4" />
		<ctl name="S2_IR_SRC_MODE" value="4" />
		<ctl name="S2_I_SRC_IN_FS" value="4"/>
		<ctl name="S2_OL_SRC_IN_FS" value="1" />
		<ctl name="S2_OR_SRC_IN_FS" value="1" />
		<path name="audio-48k-concurrency-play" />
		<path name="select-headset-pre-bybass" />
		<path name="2pa-up-concurrency-path" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
		<ctl name="HP_CONCURRENCY_SWITCH ENABLE" value="1" />
	</path>

	<path name="media-headphone" >
		<path name="media-headset" />
	</path>

	<path name="media-44k1-headphone" >
		<path name="media-44k1-headset" />
	</path>

	<path name="media-88k2-headphone" >
		<path name="media-88k2-headset" />
	</path>

	<path name="media-176k4-headphone" >
		<path name="media-176k4-headset" />
	</path>

	<path name="media-96k-headphone" >
		<path name="media-96k-headset" />
	</path>

	<path name="media-192k-headphone" >
		<path name="media-192k-headset" />
	</path>

	<path name="media-384k-headphone" >
		<path name="media-384k-headset" />
	</path>

	<path name="media-speaker-headphone" >
		<path name="media-speaker-headset" />
	</path>

	<path name="audio-capture" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="audio-capture-without-voice-ec" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="audio-capture-4mic" >
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="MIC3_MUX" value="ADCL1" />
		<ctl name="MIC4_MUX" value="ADCR1" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="U3_OL_SWITCH ENABLE" value="1" />
		<ctl name="U4_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_4MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="main-mic" >
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="ADCL0_MUX" value="ADC0" />
		<ctl name="ADCR0_MUX" value="ADC0" />
	</path>

	<path name="main-mic2" >
		<ctl name="MIC5_PGA_MUX" value="MIC5" />
		<ctl name="ADCL1_MUX" value="ADC4" />
		<ctl name="ADCR1_MUX" value="ADC4" />
	</path>

	<path name="aux-mic" >
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="ADCL0_MUX" value="ADC3" />
		<ctl name="ADCR0_MUX" value="ADC3" />
	</path>

	<path name="main-aux-mic" >
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="ADCL0_MUX" value="ADC0" />
		<ctl name="ADCR0_MUX" value="ADC3" />
	</path>

	<path name="aux-mic2" >
	</path>

	<path name="aux-main-mic" >
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="ADCL0_MUX" value="ADC3" />
		<ctl name="ADCR0_MUX" value="ADC0" />
	</path>

	<path name="headset-mic" >
		<ctl name="HSMIC_PGA_MUX" value="HSMIC" />
		<ctl name="ADCL0_MUX" value="ADC0" />
		<ctl name="ADCR0_MUX" value="ADC0" />
	</path>

	<path name="s3_uplink" >
		<ctl name="S3_OL_SWITCH ENABLE" value="1" />
		<ctl name="S3_OR_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
	</path>

	<path name="fm-digital" >
		<ctl name="S2_RX_CLK_SEL" value="0" />
		<ctl name="S2_FUNC_MODE" value="0" />
		<ctl name="S2_DIRECT_MODE" value="0" />
		<ctl name="S2_IF_I2S_FS" value="4" />
		<ctl name="S2_IL_SRC_MODE" value="4" />
		<ctl name="S2_IR_SRC_MODE" value="4" />
		<ctl name="S2_I_SRC_IN_FS" value="4" />
		<ctl name="S2_IL_SRC_OUT_FS" value="1" />
		<ctl name="S2_IR_SRC_OUT_FS" value="1" />
		<ctl name="FM_SWITCH ENABLE" value="1" />
		<ctl name="DACL_MIXER S2_L" value="1" />
		<ctl name="DACR_MIXER S2_R" value="1" />
	</path>

	<path name="bt_pb" >
		<ctl name="S2_FRAME_MODE" value="0" />
		<ctl name="S2_RX_CLK_SEL" value="1" />
		<ctl name="S2_TX_CLK_SEL" value="0" />
		<ctl name="S2_FUNC_MODE" value="2" />
		<ctl name="S2_DIRECT_MODE" value="0" />
		<ctl name="S2_IF_I2S_FS" value="0" />
		<ctl name="BT_L_MUX" value="DACL_48" />
		<ctl name="BT_R_MUX" value="DACR_48" />
		<ctl name="S2_OL_SRC_MODE" value="1" />
		<ctl name="S2_OR_SRC_MODE" value="1" />
		<ctl name="S2_OL_SRC_IN_FS" value="1" />
		<ctl name="S2_OR_SRC_IN_FS" value="1" />
		<ctl name="S2_O_SRC_OUT_FS" value="0" />
		<ctl name="S2_OL_SWITCH ENABLE" value="1" />
		<ctl name="S2_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="bt_uplink" >
		<ctl name="S3_OL_SWITCH ENABLE" value="1" />
		<ctl name="S3_OR_SWITCH ENABLE" value="1" />
		<ctl name="S2_IL_MUX" value="S2_INL" />
		<ctl name="S2_IR_MUX" value="S2_INR" />
		<ctl name="S2_IL_SRC_MODE" value="7" />
		<ctl name="S2_IR_SRC_MODE" value="7" />
		<ctl name="S2_I_SRC_IN_FS" value="0" />
		<ctl name="S2_IL_SRC_OUT_FS" value="1" />
		<ctl name="S2_IR_SRC_OUT_FS" value="1" />
		<ctl name="MIC1_MUX" value="S2_L" />
		<ctl name="MIC2_MUX" value="S2_R" />
	</path>

	<path name="media-main-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="media-headset-mic" >
		<path name="audio-capture" />
		<path name="headset-mic" />
	</path>

	<path name="media-headset-combine-record-channel" >
		<ctl name="HSMIC_PGA_MUX" value="HSMIC" />
		<ctl name="AUXMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="ADCL0_MUX" value="ADC0" />
		<ctl name="ADCL1_MUX" value="ADC1" />
		<path name="audio-capture" />
	</path>

	<path name="media-typec-combine-record-channel" >
		<path name="main-aux-mic" />
		<path name="audio-capture" />
	</path>

	<path name="camcorder-mic" >
		<path name="audio-capture" />
		<path name="aux-main-mic" />
	</path>

	<path name="hearingaid-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<!-- voice path config -->
	<path name="call-earpiece-common" >
		<path name="audio-2pa-play" />
		<path name="s3_uplink" />
		<path name="main-aux-mic" />
	</path>

	<path name="call-speaker-common" >
		<path name="audio-2pa-play" />
		<path name="s3_uplink" />
		<path name="aux-main-mic" />
	</path>

	<path name="call-headphone-common" >
		<path name="audio-48k-play" />
		<path name="select-headset" />
		<path name="s3_uplink" />
		<path name="aux-main-mic" />
	</path>

	<path name="call-headset-common" >
		<path name="audio-48k-play" />
		<path name="select-headset" />
		<path name="s3_uplink" />
		<path name="headset-mic" />
	</path>

	<path name="call-bt-sco-headset-common" >
		<path name="audio-play" />
		<path name="bt_pb" />
		<path name="bt_uplink" />
	</path>

	<path name="call-swb-speaker-headset-common" >
		<ctl name="VOICE32K_SWITCH ENABLE" value="1" />
		<path name="audio-48k-play" />
		<path name="select-headset-pre-bybass" />
		<path name="s3_uplink" />
	</path>

	<path name="call-swb-m0-earpiece" >
		<path name="call-earpiece-common" />
		<ctl name="VOICE32K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-swb-m0-speaker" >
		<path name="call-speaker-common" />
		<ctl name="VOICE32K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-swb-m0-headset" >
		<path name="call-headset-common" />
		<ctl name="VOICE32K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-swb-m0-headphone" >
		<path name="call-headphone-common" />
		<ctl name="VOICE32K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-swb-m0-bt-sco-headset" >
		<path name="call-bt-sco-headset-common" />
		<ctl name="VOICE32K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-swb-m1-earpiece" >
		<path name="call-swb-m0-earpiece" />
	</path>

	<path name="call-swb-m1-speaker" >
		<path name="call-swb-m0-speaker" />
	</path>

	<path name="call-swb-m1-headset" >
		<path name="call-swb-m0-headset" />
	</path>

	<path name="call-swb-m1-headphone" >
		<path name="call-swb-m0-headphone" />
	</path>

	<path name="call-swb-m1-bt-sco-headset" >
		<path name="call-swb-m0-bt-sco-headset" />
	</path>

	<path name="dup-call-swb-m0-speaker-earpiece" >
		<path name="call-swb-m0-earpiece" />
		<path name="force-speaker" />
	</path>

	<path name="dup-call-swb-m0-speaker-headphone" >
		<path name="call-swb-speaker-headset-common" />
		<path name="aux-main-mic" />
		<path name="force-speaker" />
	</path>

	<path name="dup-call-swb-m0-speaker-headset" >
		<path name="call-swb-speaker-headset-common" />
		<path name="headset-mic" />
		<path name="force-speaker" />
	</path>

	<path name="dup-call-swb-m0-speaker-bt-sco-headset" >
		<path name="call-swb-m0-bt-sco-headset" />
		<path name="force-speaker" />
	</path>

	<path name="dup-call-swb-m1-speaker-earpiece" >
		<path name="dup-call-swb-m0-speaker-earpiece" />
	</path>

	<path name="dup-call-swb-m1-speaker-headset" >
		<path name="dup-call-swb-m0-speaker-headset" />
	</path>

	<path name="dup-call-swb-m1-speaker-headphone" >
		<path name="dup-call-swb-m0-speaker-headphone" />
	</path>

	<path name="dup-call-swb-m1-speaker-bt-sco-headset" >
		<path name="dup-call-swb-m0-speaker-bt-sco-headset" />
	</path>

	<!-- fm path config -->
	<path name="media-fm-earpiece" >
		<path name="fm-digital" />
		<path name="audio-pre-path" />
		<path name="2pa-up-path" />
	</path>

	<path name="media-fm-speaker" >
		<path name="fm-digital" />
		<path name="audio-pre-path" />
		<path name="2pa-up-path" />
	</path>

	<path name="media-fm-headphone" >
		<path name="fm-digital" />
		<path name="audio-48k-path" />
		<path name="select-headset" />
	</path>

	<path name="media-fm-headset" >
		<path name="fm-digital" />
		<path name="audio-48k-path" />
		<path name="select-headset" />
	</path>

	<path name="media-fm-speaker-earpiece" >
		<path name="fm-digital" />
		<path name="audio-pre-path" />
		<path name="2pa-up-path" />
	</path>

	<path name="media-fm-speaker-headset" >
		<path name="media-speaker-headset" />
	</path>

	<path name="media-fm-speaker-headphone" >
		<path name="media-fm-speaker-headset" />
	</path>

	<path name="media-fm-bt-sco-headset-speaker" >
		<path name="media-fm-speaker-headset" />
	</path>

	<path name="media-fm-main-mic" >
		<path name="media-main-mic" />
	</path>

	<path name="media-fm-headset-mic" >
		<path name="media-headset-mic" />
	</path>

	<path name="dup-media-fm-earpiece" >
		<path name="audio-play" />
		<path name="2pa-up-path" />
		<path name="fm-digital" />
	</path>

	<path name="dup-media-fm-speaker" >
		<path name="audio-play" />
		<path name="2pa-up-path" />
		<path name="fm-digital" />
	</path>

	<path name="dup-media-fm-headset" >
		<path name="audio-48k-play" />
		<path name="select-headset" />
		<path name="fm-digital" />
	</path>

	<path name="dup-media-fm-headphone" >
		<path name="audio-48k-play" />
		<path name="select-headset" />
		<path name="fm-digital" />
	</path>

	<path name="dup-media-fm-speaker-earpiece" >
		<path name="audio-play" />
		<path name="force-speaker" />
	</path>

	<path name="dup-media-fm-speaker-headset" >
		<path name="media-speaker-headset" />
	</path>

	<path name="dup-media-fm-speaker-headphone" >
		<path name="dup-media-fm-speaker-headset" />
	</path>

	<path name="dup-media-fm-bt-sco-headset-speaker" >
		<path name="audio-48k-play" />
		<path name="force-speaker" />
		<path name="select-headset" />
	</path>

	<path name="dup-call-swb-m0-earpiece" >
		<path name="call-swb-m0-earpiece" />
	</path>

	<path name="dup-call-swb-m0-speaker" >
		<path name="call-swb-m0-speaker" />
	</path>

	<path name="dup-call-swb-m0-headset" >
		<path name="call-swb-m0-headset" />
	</path>

	<path name="dup-call-swb-m0-headphone" >
		<path name="call-swb-m0-headphone" />
	</path>

	<path name="dup-call-swb-m0-bt-sco-headset" >
		<path name="call-swb-m0-bt-sco-headset" />
	</path>

	<path name="dup-call-swb-m1-earpiece" >
		<path name="dup-call-swb-m0-earpiece" />
	</path>

	<path name="dup-call-swb-m1-speaker" >
		<path name="dup-call-swb-m0-speaker" />
	</path>

	<path name="dup-call-swb-m1-headset" >
		<path name="dup-call-swb-m0-headset" />
	</path>

	<path name="dup-call-swb-m1-headphone" >
		<path name="dup-call-swb-m0-headphone" />
	</path>

	<path name="dup-call-swb-m1-bt-sco-headset" >
		<path name="dup-call-swb-m0-bt-sco-headset" />
	</path>

	<path name="media-bt-sco" >
		<path name="audio-play" />
		<path name="bt_pb" />
	</path>

	<path name="media-bt-sco-mic" >
		<ctl name="S2_FRAME_MODE" value="0" />
		<ctl name="S2_RX_CLK_SEL" value="1" />
		<ctl name="S2_TX_CLK_SEL" value="0" />
		<ctl name="S2_FUNC_MODE" value="2" />
		<ctl name="S2_IF_I2S_FS" value="0" />
		<ctl name="S2_IL_SRC_MODE" value="7" />
		<ctl name="S2_IR_SRC_MODE" value="7" />
		<ctl name="S2_I_SRC_IN_FS" value="0" />
		<ctl name="S2_IL_SRC_OUT_FS" value="1" />
		<ctl name="S2_IR_SRC_OUT_FS" value="1" />
		<ctl name="MIC1_MUX" value="S2_L" />
		<ctl name="MIC2_MUX" value="S2_R" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="rec-media-bt-sco-mic" >
		<path name="media-bt-sco-mic" />
	</path>

	<path name="media-bt-sco-headset" >
		<path name="bt_pb" />
		<path name="audio-play" />
	</path>

	<path name="media-bt-sco-headset-speaker" >
		<path name="media-bt-sco-headset" />
		<path name="force-speaker" />
	</path>

	<path name="bt-sco-wb" >
		<ctl name="S2_FUNC_MODE" value="2" />
		<ctl name="S2_IF_I2S_FS" value="1" />
		<ctl name="S2_I_SRC_IN_FS" value="1"/>
		<ctl name="S2_O_SRC_OUT_FS" value="1" />
		<ctl name="S2_IL_SRC_MODE" value="5" />
		<ctl name="S2_IR_SRC_MODE" value="5" />
		<ctl name="S2_OL_SRC_MODE" value="2" />
		<ctl name="S2_OR_SRC_MODE" value="2" />
	</path>

	<path name="soundtrigger-main-mic" >
		<ctl name="MAD_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="ADCL0_MUX" value="ADC_MAD" />
		<ctl name="MAD_PGA_MIXER MAINMIC_ENABLE" value="1" />
	</path>

	<path name="soundtrigger-main-top-mic" >
		<ctl name="MAD_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="ADCL0_MUX" value="ADC_MAD" />
		<ctl name="MAD_PGA_MIXER MIC4_ENABLE" value="1" />
	</path>

	<path name="soundtrigger-hs-mic" >
		<ctl name="MAD_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="ADCL0_MUX" value="ADC_MAD" />
		<ctl name="AUXMIC_HSMICBIAS_SWITCH ENABLE" value="1" />
		<ctl name="MAD_PGA_MIXER AUXMIC_ENABLE" value="1" />
	</path>

	<path name="soundtrigger-mic1-mic" >
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="MIC3_MUX" value="ADCR0" />
		<ctl name="ADCR0_MUX" value="ADC0" />
		<ctl name="U3_OL_SWITCH ENABLE" value="1" />
		<ctl name="SOUNDTRIGGER_ONEMIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="soundtrigger-mic2-mic" >
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="MIC3_MUX" value="ADCR0" />
		<ctl name="ADCR0_MUX" value="ADC3" />
		<ctl name="U3_OL_SWITCH ENABLE" value="1" />
		<ctl name="SOUNDTRIGGER_ONEMIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="soundtrigger-mic12-mic" >
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="ADCR0_MUX" value="ADC3" />
		<ctl name="ADCL1_MUX" value="ADC0"/>
		<ctl name="MIC3_MUX" value="ADCR0" />
		<ctl name="MIC4_MUX" value="ADCL1" />
		<ctl name="U3_OL_SWITCH ENABLE" value="1" />
		<ctl name="U4_OR_SWITCH ENABLE" value="1" />
		<ctl name="SOUNDTRIGGER_DUALMIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="soundtrigger-dualdsp-mic" >
		<ctl name="MAD_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="ADCL0_MUX" value="ADC_MAD" />
		<ctl name="MAD_PGA_MIXER MAINMIC_ENABLE" value="1" />
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="ADCR0_MUX" value="ADC3" />
		<ctl name="ADCL1_MUX" value="ADC0"/>
		<ctl name="MIC3_MUX" value="ADCR0" />
		<ctl name="MIC4_MUX" value="ADCL1" />
		<ctl name="U3_OL_SWITCH ENABLE" value="1" />
		<ctl name="U4_OR_SWITCH ENABLE" value="1" />
		<ctl name="SOUNDTRIGGER_DUALMIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="soundtrigger-dualdsp-top-mic" >
		<ctl name="MAD_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="ADCL0_MUX" value="ADC_MAD" />
		<ctl name="MAD_PGA_MIXER MIC4_ENABLE" value="1" />
		<ctl name="HSMIC_PGA_MUX" value="MAINMIC" />
		<ctl name="MIC4_PGA_MUX" value="MIC4" />
		<ctl name="ADCR0_MUX" value="ADC3" />
		<ctl name="ADCL1_MUX" value="ADC0"/>
		<ctl name="MIC3_MUX" value="ADCR0" />
		<ctl name="MIC4_MUX" value="ADCL1" />
		<ctl name="U3_OL_SWITCH ENABLE" value="1" />
		<ctl name="U4_OR_SWITCH ENABLE" value="1" />
		<ctl name="SOUNDTRIGGER_DUALMIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="communication-earpiece" >
		<path name="audio-2pa-play" />
	</path>

	<path name="communication-speaker" >
		<path name="audio-2pa-play" />
	</path>

	<path name="communication-headset" >
		<path name="audio-48k-play" />
		<path name="select-headset" />
	</path>

	<path name="communication-headphone" >
		<path name="communication-headset" />
	</path>

	<path name="communication-speaker-earpiece" >
		<path name="audio-play" />
		<path name="force-speaker" />
	</path>

	<path name="communication-speaker-headset" >
		<path name="audio-48k-play" />
		<path name="force-speaker" />
		<path name="select-headset" />
	</path>

	<path name="communication-speaker-headphone" >
		<path name="communication-speaker-headset" />
	</path>

	<path name="communication-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="communication-handfree-mic" >
		<path name="audio-capture" />
		<path name="aux-main-mic" />
	</path>

	<path name="communication-headset-mic" >
		<path name="audio-capture" />
		<path name="headset-mic" />
	</path>

	<path name="communication-bt-sco-headset" >
		<path name="media-bt-sco-headset" />
	</path>

	<path name="communication-bt-sco-headset-speaker" >
		<path name="media-bt-sco-headset" />
		<path name="force-speaker" />
	</path>

	<path name="communication-bt-sco-mic" >
		<path name="media-bt-sco-mic" />
	</path>

	<path name="voice-rec-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="voice-rec-handfree-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="voice-rec-headset-mic" >
		<path name="audio-capture" />
		<path name="headset-mic" />
	</path>

	<path name="voice-rec-ec-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="voice-rec-2ec-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="voice-rec-nr-mic" >
		<path name="audio-capture" />
		<path name="main-aux-mic" />
	</path>

	<path name="scene-denoise-mic" >
		<path name="main-aux-mic" />
		<ctl name="M1_L_MUX" value="ADCL0" />
		<ctl name="M1_R_MUX" value="ADCR0" />
		<ctl name="S4_OL_SWITCH ENABLE" value="1" />
		<ctl name="S4_OR_SWITCH ENABLE" value="1" />
		<ctl name="U7_EC_SWITCH ENABLE" value="1" />
	</path>

	<path name="rec-call-m0-bt-sco-mic" >
		<ctl name="MIC1_MUX" value="S2_L" />
		<ctl name="MIC2_MUX" value="S2_R" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="rec-call-m0-bt-sco-mic-without-voice-ec" >
		<ctl name="MIC1_MUX" value="S2_L" />
		<ctl name="MIC2_MUX" value="S2_R" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="rec-call-swb-m0-mic" >
		<path name="audio-capture" />
	</path>

	<path name="rec-call-swb-m0-mic-without-voice-ec" >
		<path name="audio-capture-without-voice-ec" />
	</path>

	<path name="rec-call-swb-m0-handfree-mic" >
		<path name="audio-capture" />
	</path>

	<path name="rec-call-swb-m0-headset-mic" >
		<path name="audio-capture" />
	</path>

	<path name="rec-call-swb-m0-headset-mic-without-voice-ec" >
		<path name="audio-capture-without-voice-ec" />
	</path>

	<path name="rec-call-swb-m0-bt-sco-mic" >
		<path name="rec-call-m0-bt-sco-mic" />
	</path>

	<path name="rec-call-swb-m0-bt-sco-mic-without-voice-ec" >
		<path name="rec-call-m0-bt-sco-mic-without-voice-ec" />
	</path>

	<path name="rec-call-swb-m1-mic" >
		<path name="rec-call-swb-m0-mic" />
	</path>

	<path name="rec-call-swb-m1-mic-without-voice-ec" >
		<path name="rec-call-swb-m0-mic-without-voice-ec" />
	</path>

	<path name="rec-call-swb-m1-handfree-mic" >
		<path name="rec-call-swb-m0-handfree-mic" />
	</path>

	<path name="rec-call-swb-m1-headset-mic" >
		<path name="rec-call-swb-m0-headset-mic" />
	</path>

	<path name="rec-call-swb-m1-headset-mic-without-voice-ec" >
		<path name="rec-call-swb-m0-headset-mic-without-voice-ec" />
	</path>

	<path name="rec-call-swb-m1-bt-sco-mic" >
		<path name="rec-call-swb-m0-bt-sco-mic" />
	</path>

	<path name="rec-call-swb-m1-bt-sco-mic-without-voice-ec" >
		<path name="rec-call-swb-m0-bt-sco-mic-without-voice-ec" />
	</path>

	<path name="call-swb-m1-mic" >
	</path>

	<path name="call-swb-m1-bt-sco-mic" >
	</path>

	<path name="call-swb-m1-handfree-mic" >
	</path>

	<path name="call-swb-m1-headset-mic" >
	</path>

	<path name="call-swb-m0-mic" >
	</path>

	<path name="call-swb-m0-handfree-mic" >
	</path>

	<path name="call-swb-m0-headset-mic" >
	</path>

	<path name="call-swb-m0-bt-sco-mic" >
	</path>

	<path name="call-m0-speaker-headset-common" >
		<ctl name="VOICE8K_SWITCH ENABLE" value="1" />
		<path name="audio-48k-play" />
		<path name="select-headset-pre-bybass" />
		<path name="s3_uplink" />
	</path>

	<path name="call-m0-earpiece" >
		<path name="call-earpiece-common" />
		<ctl name="VOICE8K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-m0-speaker-earpiece" >
	</path>

	<path name="call-m0-speaker" >
		<path name="call-speaker-common" />
		<ctl name="VOICE8K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-m0-headset" >
		<path name="call-headset-common" />
		<ctl name="VOICE8K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-m0-headphone" >
		<path name="call-headphone-common" />
		<ctl name="VOICE8K_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-m0-headset-mic" >
	</path>

	<path name="call-m0-mic" >
	</path>

	<path name="call-m0-handfree-mic" >
	</path>

	<path name="dup-call-m0-earpiece" >
		<path name="call-m0-earpiece" />
	</path>

	<path name="dup-call-m0-speaker" >
		<path name="call-m0-speaker" />
	</path>

	<path name="dup-call-m0-headset" >
		<path name="call-m0-headset" />
	</path>

	<path name="dup-call-m0-headphone" >
		<path name="call-m0-headphone" />
	</path>

	<path name="dup-call-m0-speaker-earpiece" >
		<path name="call-m0-earpiece" />
	</path>

	<path name="dup-call-m0-speaker-headphone" >
		<path name="call-m0-speaker-headset-common" />
		<path name="aux-main-mic" />
		<path name="force-speaker" />
	</path>

	<path name="dup-call-m0-speaker-headset" >
		<path name="call-m0-speaker-headset-common" />
		<path name="headset-mic" />
		<path name="force-speaker" />
	</path>

	<path name="rec-call-m0-headset-mic" >
		<path name="audio-capture" />
	</path>

	<path name="rec-call-m0-mic" >
		<path name="audio-capture" />
	</path>

	<path name="rec-call-m0-headset-mic-without-voice-ec" >
		<path name="audio-capture" />
	</path>

	<path name="rec-call-m0-mic-without-voice-ec" >
		<path name="audio-capture" />
	</path>

	<path name="call-m1-speaker-headset-common" >
		<path name="call-m0-speaker-headset-common" />
	</path>

	<path name="call-m1-earpiece" >
		<path name="call-m0-earpiece" />
	</path>

	<path name="call-m1-speaker" >
		<path name="call-m0-speaker" />
	</path>

	<path name="call-m1-speaker-earpiece" >
		<path name="call-m0-speaker-earpiece" />
	</path>

	<path name="call-m1-headset" >
		<path name="call-m0-headset" />
	</path>

	<path name="call-m1-headphone" >
		<path name="call-m0-headphone" />
	</path>

	<path name="call-m1-headset-mic" >
		<path name="call-m0-headset-mic" />
	</path>

	<path name="call-m1-mic" >
	</path>

	<path name="call-m1-handfree-mic" >
	</path>

	<path name="dup-call-m1-earpiece" >
		<path name="dup-call-m0-earpiece" />
	</path>

	<path name="dup-call-m1-speaker" >
		<path name="dup-call-m0-speaker" />
	</path>

	<path name="dup-call-m1-headset" >
		<path name="dup-call-m0-headset" />
	</path>

	<path name="dup-call-m1-headphone" >
		<path name="dup-call-m0-headphone" />
	</path>

	<path name="dup-call-m1-speaker-earpiece" >
		<path name="dup-call-m0-speaker-earpiece" />
	</path>

	<path name="dup-call-m1-speaker-headphone" >
		<path name="dup-call-m0-speaker-headphone" />
	</path>

	<path name="dup-call-m1-speaker-headset" >
		<path name="dup-call-m0-speaker-headset" />
	</path>

	<path name="rec-call-m1-headset-mic" >
		<path name="rec-call-m0-headset-mic" />
	</path>

	<path name="rec-call-m1-mic" >
		<path name="rec-call-m0-mic" />
	</path>

	<path name="rec-call-m1-headset-mic-without-voice-ec" >
		<path name="rec-call-m0-headset-mic-without-voice-ec" />
	</path>

	<path name="rec-call-m1-mic-without-voice-ec" >
		<path name="rec-call-m0-mic-without-voice-ec" />
	</path>

	<path name="call-tty-earpiece" >
		<path name="audio-48k-play-mixer" />
		<path name="2pa-up-path" />
		<path name="s3_uplink" />
		<path name="headset-mic" />
		<ctl name="VOICE8K_SWITCH ENABLE" value="1" />
	</path>
	<path name="call-tty-main-mic" >
		<path name="main-mic" />
	</path>

	<!-- lowlatency -->
	<path name="media-lowlatency-earpiece" >
		<path name="media-earpiece" />
	</path>

	<path name="dup-media-lowlatency-earpiece" >
		<path name="media-earpiece" />
	</path>

	<path name="media-lowlatency-speaker" >
		<path name="media-speaker" />
	</path>

	<path name="dup-media-lowlatency-speaker" >
		<path name="media-speaker" />
	</path>

	<path name="media-lowlatency-headphone" >
		<path name="media-headphone" />
	</path>

	<path name="dup-media-lowlatency-headphone" >
	    <path name="media-headphone" />
	</path>

	<path name="media-lowlatency-headset" >
		<path name="media-lowlatency-headphone" />
	</path>

	<path name="dup-media-lowlatency-headset" >
		<path name="dup-media-lowlatency-headphone" />
	</path>

	<path name="media-lowlatency-speaker-earpiece" >
		<path name="audio-play" />
		<path name="2pa-up-path" />
	</path>

	<path name="dup-media-lowlatency-speaker-earpiece" >
		<path name="audio-play" />
		<path name="2pa-up-path" />
	</path>

	<path name="media-lowlatency-speaker-headphone" >
		<path name="media-speaker-headphone" />
	</path>

	<path name="dup-media-lowlatency-speaker-headphone" >
		<path name="media-speaker-headphone" />
	</path>

	<path name="media-lowlatency-speaker-headset" >
		<path name="media-lowlatency-speaker-headphone" />
	</path>

	<path name="dup-media-lowlatency-speaker-headset" >
		<path name="dup-media-lowlatency-speaker-headphone" />
	</path>

	<path name="dup-communication-lowlatency-headset" >
		<path name="communication-headset" />
	</path>

	<path name="dup-communication-lowlatency-headphone" >
		<path name="communication-headphone" />
	</path>

	<path name="dup-communication-lowlatency-speaker-headset" >
		<path name="communication-speaker-headset" />
	</path>

	<path name="dup-communication-lowlatency-speaker-headphone" >
		<path name="communication-speaker-headphone" />
	</path>

	<path name="dup-media-96k-lowlatency-headset" >
		<path name="media-96k-headset" />
	</path>

	<path name="dup-media-44k1-fm-headset" >
		<path name="audio-48k-play" />
		<path name="fm-digital" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="dup-media-88k2-fm-headset" >
		<path name="audio-96k-play" />
		<path name="fm-digital" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="dup-media-176k4-fm-headset" >
		<path name="audio-192k-play" />
		<path name="fm-digital" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="dup-media-96k-fm-headset" >
		<path name="audio-96k-play" />
		<path name="fm-digital" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="dup-media-192k-fm-headset" >
		<path name="audio-192k-play" />
		<path name="fm-digital" />
		<path name="select-headset" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="dup-media-44k1-fm-headphone" >
		<path name="dup-media-44k1-fm-headset" />
	</path>

	<path name="dup-media-88k2-fm-headphone" >
		<path name="dup-media-88k2-fm-headset" />
	</path>

	<path name="dup-media-176k4-fm-headphone" >
		<path name="dup-media-176k4-fm-headset" />
	</path>

	<path name="dup-media-96k-fm-headphone" >
		<path name="dup-media-96k-fm-headset" />
	</path>

	<path name="dup-media-192k-fm-headphone" >
		<path name="dup-media-192k-fm-headset" />
	</path>

	<path name="dup-media-44k1-lowlatency-headset" >
		<path name="media-44k1-headset" />
	</path>

	<path name="dup-media-88k2-lowlatency-headset" >
		<path name="media-88k2-headset" />
	</path>

	<path name="dup-media-176k4-lowlatency-headset" >
		<path name="media-176k4-headset" />
	</path>

	<path name="dup-media-192k-lowlatency-headset" >
		<path name="media-192k-headset" />
	</path>

	<path name="dup-media-44k1-lowlatency-headphone" >
		<path name="dup-media-44k1-lowlatency-headset" />
	</path>

	<path name="dup-media-88k2-lowlatency-headphone" >
		<path name="dup-media-88k2-lowlatency-headset" />
	</path>

	<path name="dup-media-176k4-lowlatency-headphone" >
		<path name="dup-media-176k4-lowlatency-headset" />
	</path>

	<path name="dup-media-96k-lowlatency-headphone" >
		<path name="dup-media-96k-lowlatency-headset" />
	</path>

	<path name="dup-media-192k-lowlatency-headphone" >
		<path name="dup-media-192k-lowlatency-headset" />
	</path>

	<path name="audio-capture-typec-headphone" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="call-swb-typec-headphone" >
		<path name="call-swb-m0-earpiece" />
	</path>

	<path name="rec-call-swb-typec-headphone" >
		<path name="audio-capture-typec-headphone" />
		<path name="call-swb-m0-earpiece" />
	</path>

	<path name="ir-study" >
		<ctl name="MIC5_PGA_MUX" value="MIC5" />
		<ctl name="ADCL2_MUX" value="ADC4" />
		<ctl name="IR_STUDY_ENV_SWITCH ENABLE" value="1" />
	</path>

	<path name="ir-study-4mic" >
		<path name="ir-study" />
	</path>

	<path name="ir-trans" >
		<ctl name="IR_MUX" value="DSPIF8" />
		<ctl name="IR_EMISSION_SWITCH ENABLE" value="1" />
	</path>

	<path name="karaoke-mic-conf" >
		<path name="audio-capture" />
		<path name="aux-mic" />
	</path>

	<path name="mmi-test-speaker" >
		<path name="media-speaker" />
	</path>

	<path name="mmi-test-speaker-no-algorithm" >
		<path name="media-speaker" />
	</path>

	<path name="mmi-test-receiver" >
		<path name="media-earpiece" />
	</path>

	<path name="mmi-test-mainleftspeaker" >
	</path>

	<path name="mmi-test-mainrightspeaker" >
	</path>

	<path name="mmi-test-receiver-high-power" >
	</path>

	<path name="mmi-test-headphone" >
		<path name="media-headphone" />
	</path>

	<path name="mmi-test-speaker-receiver" >
	</path>

	<path name="mmi-test-mainmic" >
		<path name="audio-capture-without-voice-ec" />
		<path name="main-mic" />
	</path>

	<path name="mmi-test-mainmic2" >
	</path>

	<path name="mmi-test-submic" >
		<path name="audio-capture-without-voice-ec" />
		<path name="aux-mic" />
	</path>

	<path name="mmi-test-submic2" >
	</path>

	<path name="mmi-test-dualmic" >
		<path name="audio-capture-without-voice-ec" />
		<path name="main-aux-mic" />
	</path>

	<path name="mmi-test-allmic" >
	</path>

	<path name="mmi-test-hsmic" >
		<path name="audio-capture-without-voice-ec" />
		<path name="headset-mic" />
	</path>

	<path name="mmi-modem0-speaker" >
	</path>

	<path name="mmi-modem0-receiver" >
	</path>

	<path name="mmi-modem0-headphone" >
	</path>

	<path name="analog_loop_stereo" >
		<ctl name="DACL_PRE_MIXER SIDETONE" value="1" />
		<ctl name="DACR_PRE_MIXER SIDETONE" value="1" />
	</path>
	<path name="analog_loop_headphone" >
		<path name="audio-post-path" />
		<path name="select-headset" />
	</path>

	<path name="mmi-audioloop-mainmic-headphone" >
		<path name="main-mic" />
		<path name="analog_loop_stereo" />
		<path name="analog_loop_headphone" />
		<ctl name="SIDETONE_MUX" value="ADCL0" />
		<ctl name="SIDETONE_SRC_CLK_EN" value="1" />
		<ctl name="SIDETONE_PGA_CLK_EN" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-mainmic2-headphone" >
	</path>

	<path name="mmi-audioloop-submic-headphone" >
		<path name="aux-mic" />
		<path name="analog_loop_stereo" />
		<path name="analog_loop_headphone" />
		<ctl name="SIDETONE_MUX" value="ADCL0" />
		<ctl name="SIDETONE_SRC_CLK_EN" value="1" />
		<ctl name="SIDETONE_PGA_CLK_EN" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-submic2-headphone" >
	</path>

	<path name="mmi-audioloop-main1main2mic-headphone" >
	</path>

	<path name="mmi-audioloop-sub1sub2mic-headphone" >
	</path>

	<path name="mmi-audioloop-hsmic-headphone" >
		<path name="headset-mic" />
		<path name="analog_loop_stereo" />
		<path name="analog_loop_headphone" />
		<ctl name="SIDETONE_MUX" value="ADCL0" />
		<ctl name="SIDETONE_SRC_CLK_EN" value="1" />
		<ctl name="SIDETONE_PGA_CLK_EN" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="HP_HIGHLEVEL_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-hsmic-receiver" >
		<path name="headset-mic" />
		<path name="select-earpiece" />
		<ctl name="SIDETONE_MUX" value="ADCL0" />
		<ctl name="SIDETONE_SRC_CLK_EN" value="1" />
		<ctl name="SIDETONE_PGA_CLK_EN" value="1" />
		<ctl name="DACSL_MIXER SIDETONE" value="1" />
		<ctl name="DACSL_PGA_MUX" value="DACSL_384K" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-hsmic-pa-receiver" >
	</path>

	<path name="mmi-audioloop-rec-mic-headphone" >
	</path>

	<path name="mmi-audioloop-hsmic-speaker" >
		<path name="headset-mic" />
		<ctl name="M1_L_MUX" value="ADCL0" />
		<ctl name="M1_R_MUX" value="ADCR0" />
		<ctl name="S4_OL_SWITCH ENABLE" value="1" />
		<ctl name="S4_OR_SWITCH ENABLE" value="1" />
		<ctl name="IV_2PA_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCL0" />
		<ctl name="MIC2_MUX" value="ADCR0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-hsmic-mainleftspeaker" >
	</path>

	<path name="mmi-audioloop-hsmic-mainrightspeaker" >
	</path>

	<path name="mmi-audioloop-daclmainmic-mic1mic2" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="DACL_48" />
		<ctl name="MIC2_MUX" value="ADCL0" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-auxmicdacr-mic1mic2" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="ADCR1" />
		<ctl name="MIC2_MUX" value="DACR_48" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-dacldacr-mic1mic2" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="DACL_48" />
		<ctl name="MIC2_MUX" value="DACR_48" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-audioloop-s4ls4r-mic1mic2" >
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="S4_L" />
		<ctl name="MIC2_MUX" value="S4_R" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-lineinl-receiver-rec" >
	</path>

	<path name="mmi-lineinr-headphone-rec" >
	</path>

	<path name="mmi-mad-lineinr-headphone" >
		<path name="audio-play" />
		<ctl name="MIC1_MUX" value="DACL_48" />
		<ctl name="MIC2_MUX" value="DACR_48" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="MAD_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-fmloop-rec" >
		<path name="fm-digital" />
		<ctl name="MIC1_MUX" value="S2_L" />
		<ctl name="MIC2_MUX" value="S2_R" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-breakcircuit-s3" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<ctl name="MIC3_MUX" value="S1_L" />
		<ctl name="MIC4_MUX" value="S1_R" />
		<ctl name="MIC1_MUX" value="S3_L" />
		<ctl name="MIC2_MUX" value="S3_R" />
		<ctl name="S3_OL_SWITCH ENABLE" value="1" />
		<ctl name="S3_OR_SWITCH ENABLE" value="1" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-shortcircuit-s1" >
		<path name="audio-play" />
		<path name="audio-capture" />
	</path>

	<path name="mmi-shortcircuit-s2" >
		<ctl name="S2_FRAME_MODE" value="0" />
		<ctl name="S2_RX_CLK_SEL" value="1" />
		<ctl name="S2_TX_CLK_SEL" value="0" />
		<ctl name="S2_FUNC_MODE" value="2" />
		<ctl name="S2_DIRECT_MODE" value="0" />
		<ctl name="S2_IF_I2S_FS" value="0" />
		<ctl name="BT_L_MUX" value="S1_L" />
		<ctl name="BT_R_MUX" value="S1_R" />
		<ctl name="S2_OL_SRC_MODE" value="1" />
		<ctl name="S2_OR_SRC_MODE" value="1" />
		<ctl name="S2_OL_SRC_IN_FS" value="1" />
		<ctl name="S2_OR_SRC_IN_FS" value="1" />
		<ctl name="S2_O_SRC_OUT_FS" value="0" />
		<ctl name="S2_OL_SWITCH ENABLE" value="1" />
		<ctl name="S2_OR_SWITCH ENABLE" value="1" />
		<ctl name="MIC1_MUX" value="S2_L" />
		<ctl name="MIC2_MUX" value="S2_R" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-shortcircuit-s3" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<ctl name="MIC3_MUX" value="S1_L" />
		<ctl name="MIC4_MUX" value="S1_R" />
		<ctl name="MIC1_MUX" value="S3_L" />
		<ctl name="MIC2_MUX" value="S3_R" />
		<ctl name="S3_OL_SWITCH ENABLE" value="1" />
		<ctl name="S3_OR_SWITCH ENABLE" value="1" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="VOICE16K_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-shortcircuit-s4" >
		<ctl name="PLAY48K_SWITCH ENABLE" value="1" />
		<ctl name="M1_L_MUX" value="S1_L" />
		<ctl name="M1_R_MUX" value="S1_R" />
		<ctl name="MIC1_MUX" value="S4_L" />
		<ctl name="MIC2_MUX" value="S4_R" />
		<ctl name="S4_OL_SWITCH ENABLE" value="1" />
		<ctl name="S4_OR_SWITCH ENABLE" value="1" />
		<ctl name="S1_OL_SWITCH ENABLE" value="1" />
		<ctl name="S1_OR_SWITCH ENABLE" value="1" />
		<ctl name="AUDIOUP_2MIC_SWITCH ENABLE" value="1" />
	</path>

	<path name="mmi-hsmic-anc-receiver" >
	</path>

	<path name="mmi-bluetooth-loop-s2" >
		<ctl name="I2S2_BLUETOOTH_LOOP_SWITCH ENABLE" value="1" />
	</path>
</mixer>
